phpmyadmin (4:5.2.2-really5.2.2+20250121+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2+dfsg
  * Fixes: PMASA-2025-1, PMASA-2025-2, CVE-2024-2961, PMASA-2025-3
  * Refresh patches
  * Adjust tests skipping for DEP-8 (Closes: #1092853)

 -- William Desportes <williamdes@wdes.fr>  Tue, 21 Jan 2025 21:31:25 +0100

phpmyadmin (4:5.2.2-really5.2.2+20250114+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev with git revision 8b38f49efa
  * Refresh patches (allow twig-i18n-extension v5.x)
  * Fix exclude group for 32 bit incompatible (Closes: #1092853)
  * Add a missing PHP 8 group annotation (Closes: #1092853)

 -- William Desportes <williamdes@wdes.fr>  Wed, 15 Jan 2025 16:59:11 +0100

phpmyadmin (4:5.2.2-really5.2.2+20241228+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev with git revision 440f6dd41b
    - Fixes the PHP 8.4 compatibility (Closes: #1082486, Closes: #1089730)
  * Support PHPUnit 12 CLI arguments
  * Exclude tests calling trigger_error

 -- William Desportes <williamdes@wdes.fr>  Sat, 28 Dec 2024 22:17:39 +0100

phpmyadmin (4:5.2.2-really5.2.2+20241130+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev with git revision 61b4f6739d

 -- William Desportes <williamdes@wdes.fr>  Sun, 01 Dec 2024 01:41:15 +0100

phpmyadmin (4:5.2.2-dev+759fe912a-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev+759fe912a
  * Bump copyrights
  * Drop override for the PHP polyfill (Closes: #1086557)
  * Refresh and adjust patches
  * Adjust d/rules for snapshot versions
  * Drop autoload patche and use d/ files

 -- William Desportes <williamdes@wdes.fr>  Sat, 30 Nov 2024 18:43:28 +0100

phpmyadmin (4:5.2.1+dfsg-4) unstable; urgency=medium

  [ William Desportes ]
  * Update patches for newer Twig versions (Closes: #1081725)
  * Require the newer versions in d/control
  * Add a patch for PHPunit 10 (Closes: #1070623)

  [ Ahmed kurdish ]
  * Translated using Weblate (Kurdish (Central))

 -- William Desportes <williamdes@wdes.fr>  Wed, 09 Oct 2024 21:42:12 +0200

phpmyadmin (4:5.2.1+dfsg-3) unstable; urgency=medium

  [ John Adrian Salitico ]
  * Translated using Weblate (Filipino)

  [ kopatych ]
  * Translated using Weblate (Belarusian)

  [ Milo Ivir ]
  * Translated using Weblate (Croatian)

  [ Athos Ribeiro ]
  * d/NEWS: document new behavior when running PHP < 8

  [ William Desportes ]
  * Add a patch for PHP 8.3
  * Add a patch to avoid Twig 3.9.0
  * Import one more fix for sql-parser 5.8 for Triggers export
  * Import Ubuntu patch for PHP 8.0 (LP: #2016016)
  * Remove the Symfony polyfill in the PHP 8 patch
  * Add a patch to require PHP 8.2
  * Re-write the Ubuntu Jammy d/NEWS entry for Debian
  * Use LP: #2016016 for the Launchpad link
  * Send Standards-Version 4.7.0
  * Force dependencies loading to use /usr/share/php/
  * Remove suggests of non existing webauthn lib in Debian

 -- William Desportes <williamdes@wdes.fr>  Thu, 18 Apr 2024 12:31:22 +0200

phpmyadmin (4:5.2.1+dfsg-2) unstable; urgency=medium

  * Allow symfony 6
  * Add patches for phpunit 10 (Closes: #1039803)
  * Add an upstream patch for fatal errors
  * Build css files in the build dir (Closes: #1048361)
  * Build depend on libjs-bootstrap5
  * Depend on libjs-bootstrap5 and link to it
  * Add patches for sql-parser 5.8
  * Force depends on sql-parser 5.8
  * Update phpunit 10 patch
  * Import node-bootstrap 5.3.1+dfsg-1 in d/missing-sources
  * Update d/copyright

 -- William Desportes <williamdes@wdes.fr>  Wed, 18 Oct 2023 21:55:32 +0200

phpmyadmin (4:5.2.1+dfsg-1) unstable; urgency=medium

  * Add a d/pkg-php-tools-overrides to force the PHP 8.0 polyfill dep
  * Install ChangeLog using dh_installchangelogs
  * New upstream version 5.2.1+dfsg
  * Fixes: CVE-2023-25727, PMASA-2023-1
  * Update patches
  * Fix phpunit group name to exclude
  * Re build jquery-migrate.min.js
  * Re build jquery.validate.min.js
  * Update d/copyright and lintian overrides for two jquery libs
  * Add a patch to Skip part of RoutingTest::testGetDispatcher (rw-tree)
  * Add a patch for out of source test data
  * Improve d/u/metadata, add CPE and Webservice

 -- William Desportes <williamdes@wdes.fr>  Wed, 08 Feb 2023 13:57:42 +0100

phpmyadmin (4:5.2.0+dfsg1-2) unstable; urgency=medium

  [ William Desportes ]
  * Drop PSR-7 patches
  * Forward some patches upstream
  * Depend on php-slim-psr7 instead of php-nyholm-psr7
  * Revert "Update autoload template to use Nyholm/Psr7 dependency"
  * Revert "Change branch to debian/experimental"
  * Add a missing test to a the TEST_PATH patch

  [ Dilshod Fayzullayev Fayzulla O'G'LI ]
  * Added translation using Weblate (Uzbek)
  * Translated using Weblate (Uzbek)

 -- William Desportes <williamdes@wdes.fr>  Sat, 28 Jan 2023 10:15:11 +0100

phpmyadmin (4:5.2.0+dfsg1-1) experimental; urgency=medium

  * New upstream version 5.2.0+dfsg1
  * Change branch to debian/experimental
  * Update patch for PHP 8.2 string interpolation
  * Refresh 2FA patch
  * Refresh patches
  * Update bootstrap patch
  * Add bootstrap 5.1.3 sources
  * Update autoload template
  * Add new packages to Build-Depends
  * Drop old js libs
  * Revert "Exclude js/vendor/zxcvbn.js.map from the bundle"
  * Revert "Exclude js/vendor/zxcvbn.js from the vendor tarball because it can not be re-built from source"
  * Remove depends on libjs-bootstrap4 and d/links to it
  * Re-build the bootstrap.bundle.min.js file
  * Make build requirements force the versions in experimental
  * Add d/links for bootstrap theme to libjs-jquery-ui
  * Add a patch to enable more PSR-7 packages
  * Depend on php-nyholm-psr7
  * Run wrap-and-sort
  * Update composer.json to require another PSR-7 implementation
  * Update autoload template to use Nyholm/Psr7 dependency
  * Add a missing dir_to_symlink for bootstrap theme
  * Add bootstrap theme to d/rules
  * Adjust lintian-overrides
  * Drop "paragonie/sodium_compat" from composer.json
  * Remove dropped patch from d/p/series
  * Remove duplicate patch in d/p/series
  * Fix postinst or postrm errors breaking apt procedures (Closes: LP: #1652359)

 -- William Desportes <williamdes@wdes.fr>  Mon, 23 Jan 2023 23:45:28 +0400

phpmyadmin (4:5.1.4+dfsg1-3) unstable; urgency=medium

  * Add PHP 8 support on apache2.conf
  * Update d/README.Debian
  * Add a patch for PHP 8.2 string interpolation
  * Update lintian overrides
  * Update Recommends
  * Update Standards-Version to 4.6.2

 -- William Desportes <williamdes@wdes.fr>  Sun, 22 Jan 2023 20:48:49 +0400

phpmyadmin (4:5.1.4+dfsg1-2) unstable; urgency=medium

  [ Kristijan Fremen Velkovski ]
  * Added translation using Weblate (Macedonian)

  [ Ugnius Vaičeskas ]
  * Added translation using Weblate (Lithuanian)

  [ Sean Dylan Patterson ]
  * Added translation using Weblate (Afrikaans)

  [ William Desportes ]
  * Depend on libjs-jquery-tablesorter

  [ AefghThreenine ]
  * Added translation using Weblate (Thai)
  * Translated using Weblate (Thai)

  [ William Desportes ]
  * Add autoload for php-code-lts-u2f-php-server
  * Add a patch to update documentation for 2FA packages
  * Add a patch to suggest ext-sodium
  * Add php-code-lts-u2f-php-server and php-curl to tests
  * Widen a lintian override
  * Make build requirements force the versions in unstable

 -- William Desportes <williamdes@wdes.fr>  Fri, 16 Dec 2022 18:28:37 +0100

phpmyadmin (4:5.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 5.1.4+dfsg1
  * Remove js/vendor/jquery/{jquery.svg.js,jquery.mousewheel.js} copyrights
  * Update Standards-Version to 4.6.1
  * Re order composer dependencies like phpabtpl would do
  * Refresh patches
  * Add a patch to disable testDownloadHeader and testDownloadHeader2 tests

 -- William Desportes <williamdes@wdes.fr>  Tue, 24 May 2022 00:58:39 +0200

phpmyadmin (4:5.1.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 5.1.3+dfsg1
  * Fixes: CVE-2022-23807, PMASA-2022-1
  * Fixes: CVE-2022-23808, PMASA-2022-2
  * Refresh Debian patches
  * Remove upstream released/accepted patches
  * Allow phpmyadmin/sql-parser 5.4
  * Bump d/copyright years
  * Update openlayers source to 6.9.0
  * Make openlayers 6.9.0 source compatible with Debian
  * Update bootstrap source to 4.6.1
  * Update jquery source to 3.6.0
  * Refresh d/patches after 5.1.3 import
  * Update d/copyright
  * Use dh-sequence-{phpcomposer,sphinxdoc} packages
  * Update the main autoload template by using phpabtpl
  * Adjust d/lintian-overrides
  * Mark s390x as non 32 bit compatible (for shapefile tests)
  * Adjust d/lintian-overrides
  * Improve check_file_access function from config.inc.php
  * Drop deprecated `$cfg['Servers'][$i]['auth_swekey_config']` from config
  * Drop deprecated `$cfg['Servers'][$i]['extension']` from config.inc.php

 -- William Desportes <williamdes@wdes.fr>  Sat, 12 Feb 2022 13:40:47 +0100

phpmyadmin (4:5.1.1+dfsg1-5) unstable; urgency=medium

  * Add a patch to fix PHP 8.1 test failure (Closes: #1000571)
  * Add a patch to remove PHP 8.1 deprecation issues (Closes: #1000571)
  * Update d/copyright

 -- William Desportes <williamdes@wdes.fr>  Wed, 12 Jan 2022 02:27:47 +0100

phpmyadmin (4:5.1.1+dfsg1-4) unstable; urgency=medium

  * Set back configs to debian/latest
  * Update Standards-Version to 4.6.0

 -- William Desportes <williamdes@wdes.fr>  Thu, 19 Aug 2021 12:20:25 +0200

phpmyadmin (4:5.1.1+dfsg1-3) experimental; urgency=medium

  * Allow PHP 8 to work by allowing symfony v5
  * Update d/gbp.conf and d/control to experimental branch
  * Set Debian Salsa GitLab CI to experimental

 -- William Desportes <williamdes@wdes.fr>  Fri, 18 Jun 2021 13:10:35 +0200

phpmyadmin (4:5.1.1+dfsg1-2) experimental; urgency=medium

  * Closes: #987061 (missed closes in 4:5.1.1+dfsg1-1)
  * Add openlayers build from source patch
  * Change node_modules to d/missing-sources in ol build
  * Add openlayers source files from 5.1.1 source tarball
  * Disable MapboxVector in openlayers sources
  * Add rBush and quickselect dependencies
  * Update copyright for openlayers, quickselect and rBush
  * Use webpack to build openlayers
  * Update d/clean after openlayers build
  * Lintian overrides for openlayers d/missing-sources/ol/*

 -- William Desportes <williamdes@wdes.fr>  Mon, 14 Jun 2021 23:18:54 +0200

phpmyadmin (4:5.1.1+dfsg1-1) experimental; urgency=medium

  * Update patch for php-twig to use 2.9 as a minimum
  * New upstream version 5.1.1
  * Update copyrights
  * Drop dependency on php-symfony-yaml and Symfony/Component/Yaml from autoload
  * Remove .yml files from install - no more .yml files
  * Depend on php-nikic-fast-route
  * Drop depends on libjs-openlayers
  * Update bootstrap patch
  * Add FastRoute vendor to autoload
  * Only skip 32-bit tests on 32-bit platforms
  * Adjust rules to set the Debian version suffix
  * Build depends on php-cli for new Makefile php commands
  * Remove not useful anymore delete of metro theme fonts
  * Adjust phpunit ODS test for mbstring length
  * Add a maintscript rule to make the openlayers symlink into a folder
  * Update d/copyright for openlayers
  * Ignore source-contains-prebuilt-javascript-object for js/src
  * Ignore very-long-line-length-in-source-file from js/dist
  * Remove unused d/licenses
  * Fix failing ErrorTest::testSetFile, FileListingTest, OptionsTest

 -- William Desportes <williamdes@wdes.fr>  Sat, 05 Jun 2021 00:29:04 +0200

phpmyadmin (4:5.0.4+dfsg2-2) unstable; urgency=medium

  * Add a patch for CVE-2021-21252
  * Add a patch to remove metro theme fonts
  * Remove metro themes from installed version
  * Add a d/maintscript to fix symlink migration (Closes: #980375)

 -- William Desportes <williamdes@wdes.fr>  Sat, 23 Jan 2021 17:25:13 +0100

phpmyadmin (4:5.0.4+dfsg2-1) unstable; urgency=medium

  [ William Desportes ]
  * Set all php-symfony-* dependencies to require 4.2
  * Exclude js/vendor/zxcvbn.js because it can not be re-built from source
  * Re-build js/vendor/stickyfill.min.js from source
  * Build depend on minify
  * Include most of the excluded files and add copyright blocks
  * Update copyright blocks

  [ David Prévot ]
  * Add back php-gd useful for autopkgtest
  * Discard test failing on arm64 CI
  * Restore source map for css files
  * Update copyright blocks
  * d/clean: Use upstream doc target
  * d/s/lintian-overrides: Update comments

 -- William Desportes <williamdes@wdes.fr>  Tue, 12 Jan 2021 13:46:31 +0100

phpmyadmin (4:5.0.4+dfsg1-1) unstable; urgency=medium

  [ William Desportes ]
  * New upstream version 5.0.4 (Closes: #950531, Closes: #978382)
  * Remove phpunit 7 patch file
  * Remove packages version patch
  * Refresh the Debian patch for the vendor constants config
  * Refresh the test-autoload patch
  * Add some of the new dependencies for 5.0
  * Adjust autload for Twig-i18n-extension
  * Remove fix tests sed commands
  * Add a upstream patch to make the test suite work fine
  * Add Williamdes/MariaDBMySQLKBS to vendor autoload
  * Add some debian php-symfony dependencies
  * Remove duplicated config.manyhosts
  * Add lintian overrides for Metro theme
  * Exclude built documentation from upstream dfsg
  * Exclude node_module from upstream dfsg
  * Do not delete selenium tests folder
  * Replace phpunit custom xml by --no-coverage argument
  * Add new php-symfony- autoload requires
  * Add .yml files to installed package version
  * Add robots.txt to installed package version
  * Disable 32bit incompatible tests
  * Fix 2 unnecessary greater-than versioned dependency
  * Run "cme fix dpkg" and "wrap-and-sort"
  * Rename MIT to Expat on d/copyright
  * Apply formatting rules from "cme fix dpkg"
  * Drop dependency on composer (Closes: #977983)
  * Drop vendor files that can be replaced
  * Drop copyright blocks from files not more present
  * Link and depend onto new packages
  * Bump Standards-Version to 4.5.1
  * Use some Debian packages instead of source files
  * Set d/watch to version 4
  * Depend on libjs-jquery-timepicker and libjs-jquery-mousewheel
  * Add a linitian override about libjs-jquery-tablesorter
  * Remove useless DEB_BUILD_OPTIONS for dh 13
  * Drop everything about bacon-qr-code as it does not work
  * Update Debian patch to allow motranslator 4 or 5
  * Simplify open_basedir to allow all /usr/share/php/
  * Drop depends on twig-extensions
  * Drop depends on php-psr-container
  * Remove phpab scan on setup/lib
  * Remove useless dependency constraints
  * Remove php extensions that are already in composer.json
  * Cleanup autopkgtests
  * Make d/tests run on the installed package
  * Add a patch to remove EnvironmentTest::testMySQL test
  * Add a patch for tests not to fail on Debian versions with a "+" char
  * Set debian branch to debian/latest (DEP-14)

  [ David Prévot ]
  * Extend (Build-)Depends clean up
  * Drop useless require
  * Update copyright information (translations)
  * Allow /usr/share/doc/phpmyadmin/ again
  * Simplify a bit dh_install
  * Don’t order patches
  * Define and use TEST_PATH for Debian CI
  * Group noautopkgtest for test failing on Debian CI
  * Add allow-stderr for CI

 -- William Desportes <williamdes@wdes.fr>  Fri, 08 Jan 2021 20:31:40 +0100

phpmyadmin (4:4.9.7+dfsg2-1) UNRELEASED; urgency=medium

  [ William Desportes ]
  * Add d/clean file
  * Make the selenium tests silent before tests instead of rm the folder
  * Exclude and clean built html doc files

  [ ETHEVE France-line ]
  * Translated using Weblate (Réunion Creole)

 -- William Desportes <williamdes@wdes.fr>  Tue, 03 Nov 2020 11:14:12 +0100

phpmyadmin (4:4.9.7+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 4:4.9.5+dfsg1-1.

  [ William Desportes ]
  * Bump debhelper-compat to 13
  * Fix 2 typos in debian/doc-base
  * Change encoding of sv.po from windows-1252 to UTF-8
  * New upstream version 4.9.7+dfsg1
  * Fixes: CVE-2020-26934, PMASA-2020-5, Closes: #971999
  * Fixes: CVE-2020-26935, PMASA-2020-6, Closes: #972000
  * Adjust patches to allow sql-parser 5.4+
  * Allow bacon qr code to be used
  * Adjust open_basedir for BaconQrCode and DASPRiD/Enum dependency

 -- William Desportes <williamdes@wdes.fr>  Thu, 15 Oct 2020 23:53:57 +0200

phpmyadmin (4:4.9.5+dfsg1-2) unstable; urgency=medium

  * Bump motranslator build dependency from 4.x to 5.x
  * Drop php-recode extension from Build-Depends (Closes: #955360)

 -- William Desportes <williamdes@wdes.fr>  Tue, 31 Mar 2020 16:59:41 -0300

phpmyadmin (4:4.9.5+dfsg1-1) unstable; urgency=medium

  * Set upstream metadata fields: Changelog, Documentation, FAQ, Donation,
    Security-Contact.
  * Bump Standards-Version to 4.5.0
  * New upstream version 4.9.5 (Closes: #952308)
  * Fixes: CVE-2020-10802, PMASA-2020-3, Closes: #954665
  * Fixes: CVE-2020-10803, PMASA-2020-4, Closes: #954666
  * Fixes: CVE-2020-10804, PMASA-2020-2, Closes: #954667
  * Force to have phpMyAdmin sql-parser >= 4.5.0
  * Force to have php-twig >= 2.9 (Closes: #954766)

 -- William Desportes <williamdes@wdes.fr>  Wed, 25 Mar 2020 18:07:16 -0300

phpmyadmin (4:4.9.4+dfsg1-1) unstable; urgency=medium

  [ William Desportes ]
  * New upstream version 4.9.4 (PMASA-2020-1, CVE-2020-5504, Closes: #948718)
  * Exclude a test on Debian CI for 32bit systems (#854821)
  * Upgrade Debian standards from 4.3.0 to 4.4.1

  [ Felipe Sateler ]
  * Don't run tests if DEB_BUILD_OPTIONS contains nocheck
  * copyright: fix wildcards for node_modules.
    Files do not match directories. An explicit /* must be added at the end
  * Add lintian overrides for
    package-contains-documentation-outside-usr-share-doc. Those READMEs document
    the respective directories
  * Bump debhelper compat level to 12.
    Move --fail-missing option to dh_missing
  * Add Rules-Requires-Root: no.
    We don't need (fake)root to build the package
  * Bump dependency on motranslator. API is the same, but support for older php
    versions was dropped, so a major semver break was needed. In debian we
    already have the newer php versions so we can just bump the dependency.
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 4:4.9.4+dfsg1-1, 4:4.9.2+dfsg1-
    1, 4:4.9.0.1+dfsg1-1, 4:4.6.5.1-1, 4:3.3.9-1ubuntu1.
  * Fix misspelling of Close => Closes.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Hridoy Bapery ]
  * Added translation using Weblate (Bengali (Bangladesh))
  * Added translation using Weblate (Bengali)
  * Translated using Weblate (Bengali)
    Currently translated at 100.0% (2 of 2 strings)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 16 Mar 2020 13:25:37 -0300

phpmyadmin (4:4.9.2+dfsg1-1) unstable; urgency=medium

  [ William Desportes ]
  * New upstream version 4.9.2. (Closes: #944711)
  * Fixes a security vulnerability in the Designer feature. (PMASA-2019-5,
    CVE-2019-18622, Closes: #945349)
  * Add debian gitlab pipelines config.

  [ Matthias Blümel ]
  * remove creation of the vendor dir in rules.
  * remove unnecessary removal of openlayers.
  * fix autopkg-tests
  * simplify patch for phpunit 8 by adding ": void" on demand
  * remove test/selenium to get autopkg working
  * Do not fail removal if there are other avahi services or desktop files rmdir
    fails if it can't remove the directory because there are other files left.
    Since we only care about removing the directory to clean up if we are the
    last user, we can pass --ignore-fail-on-non-empty. (Closes: #944514)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 25 Nov 2019 07:55:27 -0300

phpmyadmin (4:4.9.1+dfsg1-2) unstable; urgency=medium

  * Adjust open_basedir setting for ubuntu eoan

 -- Matthias Blümel <debian@blaimi.de>  Fri, 01 Nov 2019 19:33:40 +0100

phpmyadmin (4:4.9.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 4.9.1.
  * Remove webbased setup (Closes: #772741)
  * Check for weak blowfish key and regenerate if necessary during update
  * fix avahi service-installation (Closes: #914673, LP: #1293558)
  * fix bug in sql-script for non-default tablename (Closes: #884827)

 -- Matthias Blümel <debian@blaimi.de>  Tue, 24 Sep 2019 21:43:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog phpmyadmin`.
